#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Net
%define		pnam	DNS-ToolKit
Summary:	Net::DNS::ToolKit - tools for working with DNS packets
Summary(pl.UTF-8):	Net::DNS::ToolKit - narzędzia do pracy z pakietami DNS
Name:		perl-Net-DNS-ToolKit
Version:	0.48
Release:	11
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	242fab98e7a4e195d63e554b42f6c12b
URL:		http://search.cpan.org/dist/Net-DNS-ToolKit/
%if %{with tests}
BuildRequires:	perl-Net-DNS-Codes >= 0.06
BuildRequires:	perl-NetAddr-IP
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Routines to pick apart, examine and put together DNS packets. They can
be used for diagnostic purposes or as building blocks for DNS
applications such as DNS servers and clients or to allow user
applications to interact directly with remote DNS servers.

%description -l pl.UTF-8
Procedury do wybierania, badania oraz składania pakietów DNS. Mogą być
użyte do celów diagnostycznych lub do tworzenia bloków dla aplikacji
NDS takich jak serwery oraz klienci DNS lub do umożliwienia
użytkownikowi do bezpośredniej interakcji ze zdalnymi serwerami DNS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Net/DNS/ToolKit/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README
%{perl_vendorarch}/Net/DNS/*.pm
%{perl_vendorarch}/Net/DNS/ToolKit
%dir %{perl_vendorarch}/auto/Net/DNS
%dir %{perl_vendorarch}/auto/Net/DNS/ToolKit
%attr(755,root,root) %{perl_vendorarch}/auto/Net/DNS/ToolKit/*.so
%{perl_vendorarch}/auto/Net/DNS/ToolKit/*.ix
%{perl_vendorarch}/auto/Net/DNS/ToolKit/*.al
%{perl_vendorarch}/auto/Net/DNS/ToolKit/Debug
%{perl_vendorarch}/auto/Net/DNS/ToolKit/Utilities
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-DNS-ToolKit.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 6653aa4
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 43aa177
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 4c846c6
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 55c60ce
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 69f143e
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 841e7bf
- rebuild with perl 5.30.0
- release 7 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> e9f122d
- rebuild with perl 5.28.0
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4914355
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 985f861
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> cca317d
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Mon May 02 2016 Jan Rękorajski <baggins@pld-linux.org> 63d2d09
- Net/DNS moved to perl-dirs
- rel 2

* Mon May 02 2016 Jan Rękorajski <baggins@pld-linux.org> d8234fc
- up to 0.48

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> cff4559
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 850c81a
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> cc6f3f3
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e3fd2a7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 31ad5f7
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> eb23b69
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 07557a7
- up to 0.45

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 27ec0fb
- release 2

